package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.Autonomous;
import com.qualcomm.robotcore.eventloop.opmode.OpMode;
import com.qualcomm.robotcore.util.ElapsedTime;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;

@Autonomous(name = "Specimen Auto", group = "Dev")

public class SpecimenAuto extends OpMode {
    private Follower follower;
    private int state;
    private ElapsedTime runtime;


     public void init(){
        state = 0;
        follower = new Follower(hardwareMap);
        follower.setMaxPower(.90);
        runtime = new ElapsedTime();

     }

    @Override
    public void loop() {
         switch(state) {
             case 0:
                  //path 1
                 break;
             case 1:
                  //specimen drop
                 break;
             case 2:
                  //path 2
                 break;
             case 3:
                 //specimen pick up
                 break;
             case 4:
                 //path 3
                 break;
             case 5:
                 //specimen drop
                 break;
             case 6:
                 //path 4
                 break;
             case 7:
                 //specimen pick up
                 break;
             case 8:
                 //path 5
                 break;
             case 9:
                 //specimen drop
                 break;
             case 10:
                 //path 6
                 break;
             case 11:
                 //specimen pickup
                 break;
             case 12:
                 //path 7
                 break;
             case 13:
                 //specimen drop
                 break;
         }
    }
}
